Introduction

Contains 0 Sub-Categories and 3 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Interface Introduction ( Type : INFO: , ID : 12076 )
Software Requirements ( Type : INFO: , ID : 12142 )
Source versions tested ( Type : INFO: , ID : 12613 )

ID : 6T7S3O , Online Version
© 2009 HACH Company, All rights reserved.


Interface Introduction

Documentation : Introduction

The Hach WIMS Direct Server-Side Interface to GE Fanuc Proficy Historian imports SCADA data from GE Fanuc/Intellution Proficy Historian (iHistorian) into Hach WIMS. Data is read from the historian database, summarized based on user specifed options, and the summarized results are stored in the Hach WIMS database.

Proficy Historian Version | Testing status
5.5 | TESTED 05/28/2014 Had to use SamplingMode=RawByTime instead of Lab. See Sampling Modes
5.0 | Unknown
4.5 | TESTED 10/18/2012
4.0 | Unknown
3.1 | TESTED 10/20/2009 (with GE Fanuc iFix version 4.5)

NOTE: Historically, the interface has been backward compatable with the iHistorian OLE DB driver, and able to import data. For tested Version details see Source Versions Tested.

If the interface is installed on a machine other than the one hosting GE Fanuc's Proficy Historian, the ihOLEDB driver will need to be installed for the interface to work. To do this, follow the instructions - How To: Install GE Fanuc Proficy iHistorian OLE DB Driver.

GE Fanuc website : gefanuc.com

keywords : iHistorian, Intellution
ID : 12076 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Software Requirements

Documentation : Introduction

The Interface and its components are supported and can be installed only on one of the following Microsoft Windows versions :

  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows 10 64-bit
  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2019
  • Microsoft Windows 11 64-bit

NOTE: Interfaces can run on the following Windows versions, however use of interfaces on these Operating Systems are no long supported:

  • Microsoft Windows 7 32-bit
  • Microsoft Windows 7 64-bit
  • Microsoft Windows 7 64-bit Service Pack 1
  • Microsoft Windows 8 64-bit
  • Microsoft Windows 2008 32-bit
  • Microsoft Windows 2008 64-bit
  • Microsoft Windows 2008 32-bit Service Pack 1
  • Microsoft Windows 2008 64-bit Service Pack 1
  • Microsoft Windows 2008 32-bit Service Pack 2
  • Microsoft Windows 2008 64-bit Service Pack 2
  • Microsoft Windows 2008 R2 64-bit

ID : 12142 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Source versions tested

Documentation : Introduction

5/28/2014 - Proficy Historian 5.5 (5.5.167.0) using the iHistorian OLE DB Provider installed from version 5.5:

At this site we had to use SamplingMode=RawByTime. Queries returned no results when using the default SamplingMode=Lab.

See Advanced Variable Settings on how to change the sampling mode.

10/18/2012 - Proficy Historian 4.5 (4.5.149.0) using the iHistorian OLE DB Provider installed from version 4.5:

10/20/2009 - Tested with iFix version 4.5 (Build 6491) and Proficy Historian version 3.1.0.1760. Testing included Intellution iHistorian OLEDB Provider version 2.0.0.215.

More information on Proficy Historian (AKA iHistorian) can be found at the GE Fanuc website http://www.gefanuc.com/

ID : 12613 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


How To

Contains 0 Sub-Categories and 10 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Change Configuration Protection Password ( Type : HOWTO: , ID : 12055 )
Configuration is Password Protected ( Type : HOWTO: , ID : 12056 )
Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL) ( Type : HOWTO: , ID : 12041 )
Hach WIMS Super User Credentials ( Type : HOWTO: , ID : 12057 )
Pick Hach WIMS Variables to Import Into ( Type : HOWTO: , ID : 12059 )
Step-by-Step Instructions on How to Configure Interface ( Type : HOWTO: , ID : 12069 )
Using Common Buttons ( Type : HOWTO: , ID : 12039 )
Using Main Interface Screen ( Type : HOWTO: , ID : 12036 )
Using Select Date Range to Import ( Type : HOWTO: , ID : 12058 )
WARNING : Version Validation Failed ( Type : ERRMSG: , ID : 12230 )

ID : 0V5T7K , Online Version


Change Configuration Protection Password

Documentation : How To

Requiring a password for configuration changes will prevent unauthorized or accidental tampering with your configuration from within the interactive mode.

From the interface, select Configuration and Advanced Configuration. Click on the Protection tab.

Click on the box next to Require Password to Change Configuration and Save Settings button.

Use this screen to set a new configuration protection password.

NOTE: The default password is '12345'. If you configure the interface to use a password and later remove the password check, it will reset to '12345' again.

ID : 12055 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configuration is Password Protected

Documentation : How To

The configuration is password protected if you changed it in Change Configuration Protection Password. You must enter the correct password in order to save any changes to the configuration of this interface.

See Advanced Configuration if you want to disable the password protection.

NOTE:
If your configuration is protected with a password, you must know the password before you can disable the password check.

keywords : configuration,password
ID : 12056 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)

Documentation : How To

In order to use a Hach WIMS Server-Side Interface, you must do the following:

  1. Start your Hach WIMS Client and navigate to the System Setup -> System Tables -> Entire System -> Server-Side Interface Setup menu selection:

  2. If the "Server-Side Interface Setup" screen shows no interfaces, or the one you want to configure is not shown, you have to:
    • Is the interface definition file uploaded? Click the New button to determine if the definition file is uploaded, and see if it appears in the list of interfaces. If it is there, continue to step 3.
    • If the definition file is not uploaded, click the New Definition button and navigate to the g2_server_lu file located where the interface is installed. (Alternatively, you can select Utilities - Upload Definition File to Hach WIMS)
  3. With the definition uploaded (or present), click the New button and create an instance of the server side interface. You can have multiple interface sources for the same definition.

    In this example, we are using the Random Number Generator interface. Select the name of your interface, click Next, and select the version.
  4. Configure the interface:

    Make note of the "Name of Interface" field - this is how your interface will be identified. In this case - it is "Random Number Generator". Fill in a "Description" and select the "Collector Time Zone", in this case, it is set to Mountain Time (US & Canada). Click OK to create the interface record.
  5. Configure Browser - Click on the Browser tab and enter the requested information to allow the Hach WIMS Client the ability to browse tags from the source system. In some cases, you will need to install an OLE DB driver, on the Hach WIMS Client computer, that will allow communications to the source system. If it is impossible to configure this option, or you wish to do this later - uncheck the Enable button on the Browser tab.
  6. Go to System Setup -> Edit/View Variables.
  7. Go to the variable you wish to configure for storing interface data:

    Click the Interface tab on the variable you are configuring, then click the Interface To radio button and select the interface needed for this variable. The area below will fill up with the settings needed to finish configuring this variable.
  8. For detailed instructions on configuration of variables, look for the 'Supported Variable Configurations For Interface ...' article in the 'Topics specific to the operation of this Interface' chapter.

keywords : g2,collector,client,server,side
ID : 12041 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Hach WIMS Super User Credentials

Documentation : How To

To enable this feature, select Configuration -> Advanced Configuration. Then check the "Require Hach WIMS Super User Login Credentials to Import Data In Interactive Mode" setting.

You must provide the correct user name and password in order to import data in interactive mode.

Contact your Hach WIMS Administrator for help if you do not know the username and/or password.

ID : 12057 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Pick Hach WIMS Variables to Import Into

Documentation : How To

Only variables assigned to this interface will be listed. Select the variables to import data into from the source.

HINT: You can hold the CTRL or CTRL/SHIFT buttons down when clicking in order to select multiple entries

Buttons:

Import data for the selected variables.
Select all variables in the list.
Select no variables - deselects all variables from the list.

All other buttons are explained in Using Common Buttons.

ID : 12059 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Step-by-Step Instructions on How to Configure Interface

Documentation : How To

You will need to follow these steps in order to configure your interface :

  1. You must have Hach WIMS Database Management System installed and running. This can be running from anywhere on your network, but can also be running on the same computer as your interface.
  2. You must have Hach WIMS Client installed. Make sure you can log into Hach WIMS Database Server using Hach WIMS Client.
  3. Run your interface in Interactive mode by clicking on its entry in your windows Start Menu.
  4. Configure a connection to your Hach WIMS Server. Use Configuration - Connection to Hach WIMS to do this.
  5. Upload interface definition file to Hach WIMS Server. Use Utilities - Upload definition file to Hach WIMS to do this.
  6. You will need to assign a collector record to your interface. First the record must be created. You will need to configure Hach WIMS Client for a server side interface.
  7. Now you are ready to assign the collector record created in the previous step to your interface. Use Configuration - Collector Configuration to do this.
  8. You need to link at least one Hach WIMS variable to the chosen collector record.
  9. Configure the source so that interface can read from the source system.
    Locate the 'Configuration -> Source Configuration' article in the 'Topics specific for operation of Interface' chapter to gain instructions on how to do it.
  10. Save all configuration Settings by clicking on Configuration -> Save All Configuration.
  11. You are now ready to use the interface.

Furthermore, You may want to configure Automated Import. Use Configuration - Automated Import Configuration to do this.

ID : 12069 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Common Buttons

Documentation : How To

Common Hach WIMS Interface Buttons:

Displays help for the current interface screen.
Applies the current settings.
Attemps to apply the current changes and save them permanently. The save will fail if the settings cannot be applied first.
Closes the current window - no changes are saved.
Cancel the current activity/operation.

keywords : buttons
ID : 12039 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Main Interface Screen

Documentation : How To

This is the main interface interactive screen.

When running in interactive mode, you can set the various interface configuration settings, monitor & control the interface service, as well as interactively collect data.

The main parts of the of the screen of interest are:

  • Main Menu
  • The Shortcut Buttons:

    Import all data.
    Import data for selected variables.
    Monitor service activity.
    Display help for the current window.
    Display general interface information.
    Exit the interactive interface session.

  • The Interface Messages & Notification area - the white background area displays scrolling text regarding the interface's activity. All manner of data is logged here, including data collection status, errors, warnings and other general information regarding the interface's current activity.

    Depending on the Verbosity level set, you may or may not see all information.

    If there is a directory called "Log" in the interface directory, the interface will also log to a text file of the form:
    <mm_dd_yyyy__hh_mm_ss_interactive.log>

    E.g., if the current date is 2/26/2009 and the current time is 3:02:13 PM, the file will be called:
    02_26_2009__15_02_13_interactive.log.

  • The status bar, at the bottom of the screen, displays miscellaneous information regarding the interface.

ID : 12036 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Select Date Range to Import

Documentation : How To

When importing data for one or more specified variables, you have to specify the date range of the source data you want to get.

You can do this in 2 ways:

  1. Use both the Start & End Date Pickers

    - OR -
  2. Use a start/end date quick shortcut:

Buttons:

Import data for the selected dates

Other buttons are described in Using Common Buttons.

Principle 1: Data will be imported based on the Start and End Date and Time and how the variable's Stop Time is set up. The Stop Time must fall within the date range requested.

Principle 2: Data is stored on the date and time of the variable's Start Time.

For example: We set a variable with Start Time of 08:00 and a Stop Time of 08:00, and select Day After Start as shown below.

Then I run the interface to pull data for March 3, 2009 00:00:00 to March 4, 2009 08:01:00.

The interface will return a value for March 2 and March 3. Why? The stop time is our requested date range starting on March 3, 2009 with a stop time of 8 AM. The stop time is computed to March 3, 2009 08:00:00. Since we selected the stop as day after start, the start time is March 2, 2009 at 08:00:00. According to principle #2, the data point is stored on the start time.

So for our example:

Requested Date | Start Date and Time | Stop Date and Time
March 3, 2009 | March 2, 2009 08:00:00 | March 3, 2009 08:00:00
March 4, 2009 | March 3, 2009 08:00:00 | March 4, 2009 08:00:00

If we had set our date range from March 3, 2009 00:00:00 to March 4, 2009 07:59:59, then the interface would return only the first record, because stop time of March 4, 2009 08:00:00 in the second record, is past the end date and time of our range.

If we had set our date range from March 3, 2009 08:01:00 to March 4, 2009 08:01:00, then the interface would return only the second record, because the Stop Date and Time of the first record (March 3, 2009 08:00:00) does not fall within our start and end date range.

ID : 12058 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


WARNING : Version Validation Failed

Documentation : How To

The version of the interface that you are using should match the version of the interface that the collector links to.
If they do not match, you will be presented with the following warning message:

Click OK to continue.

To find out which version of the interface is running, click on the About box:

If you have already defined a Collector within Hach WIMS client that links to the appropriate version, you can select it from the Configuration / Collector Configuration screen:

If there is not a collector in the list that links to the appropriate version, you will need to create a new collector or modify an existing one in Hach WIMS Client.

To modify an existing collector or add a new one, go to your Hach WIMS Client and click on System Setup / System Tables / Enter System / Server-Side Interface Setup from the main menu:

To add a new collector, click on New. To modify an existing one, click on Edit next to the appropriate collector:

If you are editing an existing collector, click on the blank button near the top right hand corner to open up the Definition Browser Screen:

In the Definition Browser screen, click on the appropriate version and click 'Finish':

If you don't see the appropriate version listed, then you need to update your g2_server_lu file. You can do that within the interface by clicking Utilities / Upload definition file to Hach WIMS from the main menu:

keywords : Version,mismatch
ID : 12230 , Type : ERRMSG: , Online Version , Help us improve this article : Leave Feedback


Main Menu

Contains 0 Sub-Categories and 20 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Automated Import - Activity Log View ( Type : INFO: , ID : 12049 )
Automated Import - Last Run Dates ( Type : INFO: , ID : 12213 )
Automated Import - Modify Last Ran Dates ( Type : INFO: , ID : 12051 )
Automated Import - Status and Control ( Type : INFO: , ID : 12047 )
Configuration - Advanced Configuration ( Type : INFO: , ID : 12045 )
Configuration - Advanced Configuration : Source Input Cache ( Type : INFO: , ID : 12132 )
Configuration - Advanced Configuration: Additional Info ( Type : INFO: , ID : 12598 )
Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field ( Type : INFO: , ID : 12599 )
Configuration - Advanced Configuration: Unit Conversion ( Type : INFO: , ID : 12328 )
Configuration - Automated Import Configuration ( Type : INFO: , ID : 12044 )
Configuration - Collector Configuration ( Type : INFO: , ID : 12042 )
Configuration - Connection To Hach WIMS ( Type : INFO: , ID : 12037 )
File - Exit ( Type : INFO: , ID : 12035 )
File - Import All ( Type : INFO: , ID : 12034 )
File - Import For Selected Variables ( Type : INFO: , ID : 12038 )
Test - Source Read Test SCADA to Hach WIMS ( Type : INFO: , ID : 12054 )
Test - Test Connection to Hach WIMS ( Type : INFO: , ID : 12052 )
Test - Test Import All ( Type : INFO: , ID : 12053 )
Using Interface with Rio ( Type : INFO: , ID : 14691 )
Utilities - Upload Definition File to Hach WIMS ( Type : INFO: , ID : 12040 )

ID : 0H3K1W , Online Version


Automated Import - Activity Log View

Documentation : Main Menu

For Automated Import options, click the Automated Import button on the top menu bar of the interface.

The Activity Log View lets you view the interface NT Service log.

Buttons:

Force refresh of the service log view. To shorten the refresh interval, see Configuration - Advanced Configuration.
View the full service log.

The rest of the buttons are explained in Using Common Buttons.

NOTE:
If the log cannot be read, make sure the service name is correct and that it's running. See Automated Import - Status and Control on how to start the service if it's not running (assuming the service name is correct) and see Configuration - Advanced Configuration on how to view/change the service name.

keywords : activity,log
ID : 12049 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Last Run Dates

Documentation : Main Menu

The Last Run Dates screen lets you view the date and time when the interface successfully imported data for each facility that uses the interface. The screen also lets you change the last run date if need be. The only column that is editable is the Last Run Date. The other columns are there for informational purposes only.

keywords : lastrun,lastran
ID : 12213 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Modify Last Ran Dates

Documentation : Main Menu

This screen lets you modify the per-facility Last-Ran Date of the interface.

NOTE:
This is different than the default Last-Ran Date described in Configuration - Automated Import Configuration , which is the default Last-Ran Date for ALL facilities that have not had any data imported.

keywords : last,ran
ID : 12051 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Status and Control

Documentation : Main Menu

The NT Service Status and Control screen lets you monitor the state of interface service, and start or stop the service (Note: you must be logged in as a Windows Administrator):

The name of the service is displayed in the bottom left (see screenshot) corner of the screen. This is the name of the service that the interactive program is configured to monitor.

If this is NOT the name of the service, you can change it from the Configuration - Advanced Configuration screen.

Buttons:

Start the service, if it is not running.
Stop the service, if it is running.

All other buttons are explained in Using Common Buttons.

keywords : import,status,control
ID : 12047 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration

Documentation : Main Menu

For Configuration options, click on the Configuration menu option at the top menu bar of the interface.

The Advanced Configuration screen can be used to configure various advanced interface settings:

  • Log File Options:
    • Keep Logfiles - the number of days to keep log files in the Log folder, delete log files older than the number of days specified.
    • Verbosity - the higher this number, the more messages will be logged in the log file and the log window. This is usually meant for trouble-shooting purpose.
  • Automated Activity Monitoring - use this option to configure the Automated Activity (service mode of the interface) options:
    • Auto-Refresh Service Status - when displaying the Automated Import - Status and Control screen - how long to wait between status refreshes.
    • Auto-Refresh Log View - when displaying the Automated Import - Activity Log View - the interval of time to wait before refreshing the log view.
    • Log Size to Read during Refresh - the maximum number of characters to actually read in when refreshing the log view.
    • NT Service Name to Monitor - the name of the NT service under which the interface runs. The default is usually fine. Do NOT change this unless instructed by a Hach Support Engineer, or unless you installed the service under a different name and know what you are doing.

  • Protect Application Against Misuse - On the Protection tab, if you want more security in your interface configuration, you can configure:
    • Encrypt Configuration File - encrypt the contents of the interface configuration file to prevent unauthorized tampering.
    • Required Password to Change Configuration - require a password every time the user requests a configuration change. If no password is yet set, you are prompted to supply one.

    • Require Hach Wims Super User Login ... - to prevent someone from accidentally overwriting data when running in interactive mode, you can set this option to require people to enter in a super-user ID and password before importing.

  • WIMS Overwrite Protection
    • Don't Overwrite WIMS Data - If this is checked, previously written data to WIMS for a VARID and Date will not be overwritten.

  • When Hach WIMS/Source Connection Break - on the Recovery tab, establishes the number of times to attempt to restore the connection to Hach WIMS/Source and the amount of seconds to wait between attempts.

  • Source Input Caching - button on the Source Caching tab, is enabled when interface supports source input caching. Lets one specify caching conditions. Go to Source Cache Input Configuration for more information.

  • Unit Conversion Options - On the Unit Conversion tab, is enabled when interface supports unit conversion. Lets one specify various units and conversion factor. Go to Configuration - Advanced Configuration: Unit Conversion for more information.

  • Additional Info Writer Options - On the Additional Info tab, is enabled when interface supports additional info. The additional info fields must be created in Hach WIMS Client first, then the fields can be mapped by pressing the Configure Additional Info button. Go to Configuration - Advanced Configuration: Additional Info for more information.

  • Performance Throttle - on the Performance tab, there are several options related to throttling, or slowing down, the connection speed to the database. There are situations where an interface can run too many read/write operations against a database which causes the database to become overwhelmed and incapable of processing other tasks - effectively shutting down other database operations. Throttling the connection speed causes our system to pause between queries and allow the database to process other requests before and/or after we pause the interface.

    WARNING! Using the Throttle will slow down interface performance significantly. Only use this option if you are running against database performance issues due to too many read/write operations from the WIMS interface.

The following are important things to note about the Throttle option:

  • This option is not intended to be used with normal interface setup. It should only be used if the source database is showing I/O processes being delayed explicity because of the WIMS interface connection.
  • This option is not intended for LIMS interfaces. If a LIMS interface does appear to be causing an I/O problem, the root cause is probably something else and throttling will not resolve.
  • When in doubt, leave the throttle disabled.

  • Insert Artificial Wait between Source Polling - Allows the user to specify the pause time between queries. This field only accepts whole numbers (no decimals) from 1 to 9999 and is measured in milliseconds. Example 250 milliseconds = 0.25 seconds. Use as little a pause as possible to achieve desired database performance.

  • Process Messages Before Wait - Allows the user to specify if the database should process other events before the interface pauses.
    Note: A user may opt to process other events before and after a pause; or neither if desired. The default is to enable both before and after.
  • Example when enabled: The interface just completed a connection to the Source database - it will allow the database to process other events, then pause.

  • Process Messages After Wait - Allows the user to specify if the database should process other events after the interface pauses.
    Note: A user may opt to process other events before and after a pause; or neither if desired. The default is to enable both before and after.
  • Example when enabled: The interface just completed a connection to the Source database - it will pause, then allow the database to process other events.

Output to CSV

  • This feature allows the user to send results to a .csv file rather than to WIMS.
  • An option this feature supports is to pull the variables and values from a .csv file.
    • This allows the interface to run without WIMS
  • Another option is to push the file directly into RIO.

CSV Output File Examples

  • SCADA
    • StartTime
    • StopTime
    • Tag
    • Value

"StartTime","StopTime","Tag","Value"
"2021/8/29 0:00","2021/8/30 6:00","03005001:LAST","7.78"
"2021/8/30 0:00","2021/8/31 6:00","03005001:LAST","6.88"
"2021/8/31 0:00","2021/9/1 6:00","03005001:LAST","4.78"
"2021/9/1 0:00","2021/9/2 6:00","03005001:LAST","8.34"
"2021/8/30 0:00","2021/8/30 23:59","03005001:AVERAGE","8.84"
"2021/9/1 0:00","2021/9/1 23:59","03005001:AVERAGE","6.107"
"2021/9/2 0:00","2021/9/2 23:59","03005001:AVERAGE","7.443"

  • LIMS
    • StartTime
    • StopTime
    • SampleLocation
    • Analyte
    • Value

"StartTime","StopTime","SampleLocation","Analyte","Value"
"2021/8/4 0:00","2021/8/4 0:00","Effluent","BOD","<2"
"2021/8/4 0:00","2021/8/4 0:00","Effluent","TSS","7.3"
"2021/8/11 0:00","2021/8/11 0:00","Effluent","Ph","7.5"
"2021/8/11 0:00","2021/8/11 0:00","Effluent","BOD","4.5"
"2021/8/16 0:00","2021/8/16 0:00","Effluent","TSS","6.3"
"2021/8/16 0:00","2021/8/16 0:00","Influent","TSS","205"

CSV Input File Examples

  • SCADA
    • Tag
    • StartTime
    • StopTime
    • InterfaceType
    • Statistic
    • ScaleFactor
    • DecPlaces
    • VarType

"Tag","StartTime","StopTime","InterfaceType","Statistic","ScaleFactor","DecPlaces","VarType"
"FQI-EFF-Flow","22:00","06:00","AFTER","LAST","1","3","P"
"AIT-EFF-Ph","0:00","23:59","SAME","AVERAGE","1","2","P"

  • LIMS
    • Lims Location
    • Lims Test
    • Lims Ud1
    • DecPlaces
    • VarType

"Lims_Location","Lims_Test","Lims_Ud1","DecPlaces","VarType"
"Effluent","BOD","","2","P"
"Effluent","TSS","","0","P"

VarType

P – Daily variable / parameter
C – Daily calculated variable
T – Daily text variable
4 – Daily Detail variable tracked every 4 hours
G – 4 hour calc.
E – 4 hour text variable
H – Daily Detail variable tracked every hour
N – Hourly Calc
B – Hourly Text
F – Daily Detail variable tracked every 15 minutes
V – 15 Minute Calc
X – 15 Minute Text

Output CSV File

  • Output data to CSV instead of to WIMS
    • This enables the feature. Data will be sent to a CSV File instead of to WIMS
  • Path
    • Path where file will be created
  • Filename
    • Name of the file to be created.
    • You can include {yyyy}, {yy}, {mm}, {dd}, {hh} or {nn} in the name.
      • These tokens will be replaced with current date/time values.
  • If File Exists
    • What should happen if the file already exists?
  • Append Statistic to Tag
    • If this is selected the statistic will be concatenated with the tag with a : separator.
      • Example 145001:AVERAGE

Input SCV File

  • Input Variables from CSV (Bypass WIMS)
    • This enables the Interface to run without WIMS being present.
      • The appropriate variable input file needs to be present.
        • See above for file description
  • Path
    • Path of the Variable Input CSV File
  • Filename
    • Name of Variable Input SCV File

Connection

  • Auto upload of csv file to Rio
    • This enables the auto upload feature. CSV file will be uploaded to Rio after creation.
  • URL
    • URL of Rio
      • The 'Set to Default' button will set this field to the Rio US Production Environment URL.
  • User
    • Your Rio User.
  • Password
    • User password
  • Proxy
    • Proxy Server and Port Number (if necessary).
      • Not used in most cases.
  • Operation
    • Rio Operation to upload data to.
    • Load Button will load the dropdown with Operations associated to the this User's Tenant in Rio
  • Test Connection Button
    • Test connection to Rio with provided credentials.
      • It is important that this passes before trying to use this feature.

Cross Referencing WIMS Variables (or those provided in a variable input csv file) with Rio

  • In Rio
    • Configure Parameter
    • DataSource
    • SCADA
      • Select Scada and enter tag.
      • If you have selected Append Statistic to Tag. Enter Tag:Statistic
    • LIMS
      • Select Lab and enter Location and Test with @@ between.
        • Example Influent@@TSS

SCADA Example:

LIMS Example:

Buttons:

The buttons are explained in Using Common Buttons.

keywords : interface,advanced
ID : 12045 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration : Source Input Cache

Documentation : Main Menu

Source Input Cache Configuration, is used to configure criteria for caching, if the interfaces supports caching and the option is Enabled. Caching is used to load more data into memory at one time, and retain it for processing variables instead of continuously rereading source data from disk. This will speed up processing, but uses more computer resources - such as memory. Set the parameters to set thresholds for processing chunks of data and so that the interface does not surpass the limitations of your computer.

(Note: Not all interfaces have this feature available)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

ID : 12132 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Additional Info

Documentation : Main Menu
Additional Info, if enabled, is used to configure a cross reference map between fields in the source system and result additional info fields in Hach WIMS. This cross reference map will be then used by the interface during data import.

This feature can be turned off. Simply click the Disable radio button under Write Data Into Additional Info Fields in Hach WIMS.

The number of successful writes to additional information can be Enabled or Disabled. Click the appropriate radio button under Log Number of Successfully Written Fields during Import.

(Note: Not all interfaces have this feature available)

  1. Click on any button in the Source Field Identifier column to pick a source field.
  2. Click on any button in the Target WIMS Facility Identifier.Field Identifier column to pick a target field.
  3. Right click on any button, and click on Clear Cell to erase contents of a cell.

Notice the example output below from Hach WIMS Client > Spread Report Design, additional info is only imported when there is a valid result imported. Also notice how we have the field set up in Additional Info and how we recall the data in Spread Reports.

NOTE: When interfacing to two (2) or more facilities you MUST map each facility. For example, I am importing data into the OPSEID facility database and the OPSDEERCRK facility. I would map AI_COLUMN_1 thru AI_COLUMN_4 for each facilty:

ID : 12598 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field

Documentation : Main Menu

Pick WIMS Facility Additional Info Field window lists all available additional info fields for all facilities connected to your Hach WIMS server.

Select a row to highlight a field, and click the Pick button.

ID : 12599 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Unit Conversion

Documentation : Main Menu

Unit Conversion, if enabled, is used to configure unit conversion when the "units" from the source are different than the "units" in Hach WIMS.

This feature can be turned off, simply click the Disable radio button under Convert Result from Source Unit to Hach WIMS Unit.

(Note: Not all interfaces have this feature available)

  1. Under Source Unit enter the text value as it is in the source
  2. Select the Conversion Algorithm

    • Multiplication - Multiply the source result by the Factor before writing to Hach WIMS
    • Degrees F to C - Convert degrees Fahrenheit to degrees Celsius
    • Degrees C to F - Convert degrees Celsius to degrees Fahrenheit
  1. Enter the Factor amount, how much to multiply the source result by before writing to Hach WIMS. When using the Degrees conversion, enter a 1 (one)
  2. Enter the Hach WIMS Unit that the Hach WIMS variable will be using

For example, the source result is stored in parts per million ("ppm") and it needs to be converted in Hach WIMS as parts per billion ("ppb"). You could add the following conversion:

(Note: this is one of the default conversions included)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

keywords : Configuration,Advanced,Configuration,Unit,Conversion
ID : 12328 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Automated Import Configuration

Documentation : Main Menu

Each interface can be configured to run as a service. This is when you want to schedule an automatic retreival of data, without user intervention.

The Automated Import Configuration screen allows you to configure the schedule, whether to submit calculation requests, the Last-Ran Date, and the import operation mode:

  • Automated Import Schedule - configure when the interface service is scheduled to run:
    • Daily -the interface will run ONCE per day, at the specified schedule. E.g., to run it at 2:30 am, you would enter "2" into the hours box and "30" into the minutes box. Note that time is entered in "military" format. To enter 4:45 pm, you would enter "16" into the hours box, NOT 4.
    • Hourly - the interface will run every hour at the specified minute after the hour
    • Minutely- the interface will run every X minutes where X is a number between 1 and 1440. E.g., to run it every 5 minutes, you would enter "5".
  • Calculations After Automated Import - select this option if you would like the Hach WIMS AdoCalc service to recalculate all variables within every facility after an import operation completes.
  • Default Last Run Date - this is the point in time from which the interface service will try to retrieve data, up until the current point in time. After a successful run, the current time will become the last run time. By default, this is set to one day prior to the current day.

    E.g., assume today is February 25, 2009, if you have just installed the interface and have 3 months of historical data you want imported into Hach WIMS. You should enter November 25, 2008 as the Last-Run Date (3 months prior to February 25th). Once the interface completes its run, the Last-Run Date will be set to February 25, 2009 automatically. The next time it runs (assuming it runs Daily), February 26, 2009, it will only fetch one day's worth of data.
  • Constant to Add to Start Date Each Time Import Runs - Enter the number of minutes to add to the Start Date when the interface runs in automatic mode. This allows the interface to capture data from previous runs that might not have been available at that time.
    • During automated import, interface queries source data for the following date range :
      from (Last Run Date/time + Constant to Add to Start Date Each Time Import Runs ) to (current date / time )

      If your source system does not yet contain the needed data at the time of automated import, use this setting to push back the from parameter. For instance, if you need the import to start 2 hours before Last Run Date/time, you need to enter value of -120 (negative 120) to Constant to Add to Start Date Each Time Import Runs

      NOTE: Situations when you would need to input a positive value in this field are very rare.
      Value of 0 (default) has no negative or positive effect on start date.
  • Import Operation Mode -Real mode imports data into Hach WIMS where as Test does not actually import data, but tests the query capability and timing of the interface.

Buttons:

The buttons are explained in Using Common Buttons.

keywords : automated,import
ID : 12044 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Collector Configuration

Documentation : Main Menu

The Collector Configuration is the place where you configure the source of your data - the SCADA/LIMS system that holds the data you want to import.

NOTE: Before you can configure the collector, you MUST configure the Connection to Hach WIMS and you must setup the Hach WIMS client.

Select Which Hach WIMS G2 Interface Am I for this interface. The names that appear in the drop-down box are the ones that were configured in the Hach WIMS Client. This name is then tied to this interface and is unique.

Buttons:

The buttons are explained in Using Common Buttons.

If the Interface you are using has a separate Collector Utility that generates OPSDATAXML files that it reads from, you can configure and launch it from here.

Opens a screen that allows you to configure the Collector's settings

Starts the Collector utility

keywords : collector,configuration
ID : 12042 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Connection To Hach WIMS

Documentation : Main Menu

The Connection to Hach WIMS screen lets you configure how the interface will connect to Hach WIMS Database Server.

This is one of the first items you configure when setting up a new interface.

  • Data Source - this field specifies, in loose terms, the "Database/Datasource server name" where your Hach WIMS system is configured to store data. "Database/Datasource server name" means different things depending on whether you are running against Oracle or MS SQL:
    • Oracle - you can type in either the Oracle TNS name or a string in the form of host:port/SID, if using the Oracle HOSTNAME adapter.
    • MS SQL - this is in the form of host\sql_instance_name
  • Database Type -select the appropriate type of your Hach WIMS database
  • OLE DB Provider - this specifies which "database driver" the interface will use when connecting to Hach WIMS and again depends on the database type:
    • Oracle - the default string should be fine
    • MS SQL - if connecting to MS SQL 2005 or later, use the native client to connect. Specify SQLNCLI as the provider. NOTE: You will need to have the Microsoft SQL Native Client installed for this to work. If connecting to MS SQL 2000, specify SQLOLEDB as the provider.
  • Connection Timeout in Seconds - how many seconds the program should wait when establishing a connection to the Hach WIMS database before aborting.
  • Command Timeout in Seconds - specifies how many seconds the program should wait for a query to complete before aborting the operation.

    WARNING: Large values for these two settings can cause the program to not respond for a long period of time! Do NOT use 0 unless you know what you are doing - it will cause the program to wait indefinitely, and if your database server is down, the only way to cancel the operation is to forcefully quit the program.
  • Customizations - this should be left empty unless you were told otherwise by a Hach Support Engineer or you know what you are doing.

Buttons:

Test to see if the connection settings are valid and the interface is able to connect to Hach WIMS client. This will NOT Apply or Save the settings.

The other buttons are explained in Using Common Buttons.

keywords : connection,wims
ID : 12037 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Exit

Documentation : Main Menu

Terminates the interactive interface program.

NOTE:

Clicking "Exit" only closes the interactive interface session. Since the interface can be configured to run as a Windows Service, clicking "Exit" does NOT affect this service, it will continue collecting data. The service can be scheduled to collect data anytime, whether a user is logged on to the machine or not. The service for the interface will continue collecting data whether the interactive program is running or not.

keywords : interface,exit
ID : 12035 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import All

Documentation : Main Menu

Imports all data for all variables.

keywords : import,all
ID : 12034 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import For Selected Variables

Documentation : Main Menu
Imports data for the selected variables.

keywords : selected,vars,import
ID : 12038 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Source Read Test SCADA to Hach WIMS

Documentation : Main Menu

For testing options, click on the Testing menu option at the top menu bar of the interface.

The Source Read Test functionality is useful for source testing purposes.

Use this screen to look at source data for specific dates, using different statistics (MINIMUM, MAXIMUM, AVERAGE, etc).
This is useful when you want to look at source data on specific dates, WITHOUT doing an actual import. (No data will be overwritten on the Hach WIMS database.)

To do a test, you will need to specify a tag in the Source Tag field.
Then, for each tag, you can specify:

  • The Source Statistic to apply (MINIMUM, MAXIMUM, AVERAGE, etc).
  • The start and end dates you want data fetched.
  • The high & low ranges, as well as the dead-band (optional).
  • The filter tag - a second source tag that acts as a filter to the main selected tag (optional).

Buttons:

Interpret the tag as a double (floating-point) tag and return a floating-point number.
Interpret the tag as a string tag and return the result as a string.
Closes the window.

keywords : source,read,test
ID : 12054 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Connection to Hach WIMS

Documentation : Main Menu
Perform a test against the Hach WIMS connection to see if the connection is valid

keywords : test,connection
ID : 12052 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Import All

Documentation : Main Menu
This performs a test import for all interface-configured variables. Note that no actual data will be written to the Hach WIMS database.

keywords : test,import,all
ID : 12053 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Using Interface with Rio

Documentation : Main Menu

This article explains how you can use your interface to move data from your data source into Rio instead of to WIMS.

Note: To be able to automatically move data to Rio you must have a Rio Account, user and password.

There are three parts to this functionality:

  • Send data to a CSV file instead of to WIMS.
    • This CSV file could be manually dragged into Rio.
  • Select variables to pull data for from a CSV file.
    • Variable definitions are described in the CSV file.
    • This option allows running the interface without WIMS being present.
  • Push data automatically to Rio.
    • This will allow the CSV file created with the data to be automatically pushed to Rio.
    • If using this option, you must also select to send data to a CSV file.

Setup

Setup is done from the Advanced Configuration Screen. Configuration > Advanced Configuration.

Output CSV file

This tab is where you setup information for saving data to a CSV file

  • Output data to CSV file instead of to WIMS
    • Check this box if you want to send data to a CSV file.
  • Path
    • This is the path to the location you want the file saved.
  • Filename
    • Name you want for the CSV file
    • Tokens - The following tokens can be entered in the filename. They will be resolved to date and time parts. These are case insensitive.
      • {yyyy} or {yy}
        • These will be resolved to a two or four digit year
      • {mm} or {m}
        • These will be resolved to a one or two digit month
      • {dd} or {d}
        • These will be resolved to a one or two digit day
      • {hh} or {h}
        • These will be resolved to a one or two digit hour
      • {nn} or {n}
        • These will be resolved to a one of two digit minute
  • If File Exists
    • Overwrite will overwrite the file if it exists.
    • Append will append data to the existing file.
  • SCADA Tags
    • Append Statistic to Tag
      • If checked the statistic for the variable will be appended to the tag in the CSV file, separated by a :
        • example: AIT-EFF-Ph:AVERAGE
        • This is important if you want to track different statistics on the same tag.
        • This option Is only valid for SCADA interfaces.

Input CSV File

This tab is used to enter information for an Input CSV File.

  • This file will provide the variable information needed for the interface.
    • This is the same kind of information set on a WIMS variable.
    • Layout is explained later in this article.

  • Input Variables from CSV (Bypass WIMS)
    • If this box is checked, the variable list to collect data from will be read from a CSV file instead of from WIMS.
      • If this box is checked, the Output to CSV box must also be checked.
  • Path
    • Path to the Variable Input CSV file.
  • Filename
    • Name of the Variable Input CSV file.

Connection

Connection and credentials for connecting to Rio.

  • Auto upload of CSV file to Rio
    • If this box is checked, the CSV file with the data collected from the source will be automatically uploaded to Rio.
  • URL
    • This is your Rio URL.
  • User
    • This is your Rio User name.
  • Password
    • This is your Rio User Password.
  • Proxy
    • This is only needed if your environment utilizes a proxy server.
    • The syntax would be Proxy IP:Port #
  • Operation
    • Rio Operation or Plant to send data to.
      • The Load button will load the dropdown with available Operations.
  • Test Connection will try to connect to Rio with the provided credentials.

CSV File Layouts

SCADA

Output CSV File

  • StartTime
  • StopTime
  • Tag
  • Value

"StartTime","StopTime","Tag","Value"
"2021/8/29 0:00","2021/8/30 6:00","03005001:LAST","7.78"
"2021/8/30 0:00","2021/8/31 6:00","03005001:LAST","6.88"
"2021/8/31 0:00","2021/9/1 6:00","03005001:LAST","4.78"
"2021/9/1 0:00","2021/9/2 6:00","03005001:LAST","8.34"
"2021/8/30 0:00","2021/8/30 23:59","03005001:AVERAGE","8.84"
"2021/9/1 0:00","2021/9/1 23:59","03005001:AVERAGE","6.107"
"2021/9/2 0:00","2021/9/2 23:59","03005001:AVERAGE","7.443"

Input File

  • Tag
  • StartTime
  • StopTime
  • InterfaceType
  • Statistic
  • ScaleFactor
  • DecPlaces
  • VarType

"Tag","StartTime","StopTime","InterfaceType","Statistic","ScaleFactor","DecPlaces","VarType"
"FQI-EFF-Flow","22:00","06:00","AFTER","LAST","1","3","P"
"AIT-EFF-Ph","0:00","23:59","SAME","AVERAGE","1","2","P"

LIMS

Output File

  • StartTime
  • StopTime
  • SampleLocation
  • Analyte
  • Value

"StartTime","StopTime","SampleLocation","Analyte","Value"
"2021/8/4 0:00","2021/8/4 0:00","Effluent","BOD","<2"
"2021/8/4 0:00","2021/8/4 0:00","Effluent","TSS","7.3"
"2021/8/11 0:00","2021/8/11 0:00","Effluent","Ph","7.5"
"2021/8/11 0:00","2021/8/11 0:00","Effluent","BOD","4.5"
"2021/8/16 0:00","2021/8/16 0:00","Effluent","TSS","6.3"
"2021/8/16 0:00","2021/8/16 0:00","Influent","TSS","205"

Input File

  • Lims Location
  • Lims Test
  • Lims Ud1
  • DecPlaces
  • VarType

"Lims_Location","Lims_Test","Lims_Ud1","DecPlaces","VarType"
"Effluent","BOD","","2","P"
"Effluent","TSS","","0","P"

VarType

P – Daily variable / parameter
C – Daily calculated variable
T – Daily text variable
4 – Daily Detail variable tracked every 4 hours
G – 4 hour calc.
E – 4 hour text variable
H – Daily Detail variable tracked every hour
N – Hourly Calc
B – Hourly Text
F – Daily Detail variable tracked every 15 minutes
V – 15 Minute Calc
X – 15 Minute Text

Cross Referencing WIMS Variables (or those provided in a variable input csv file) with Rio

  • In Rio
    • Configure Parameter
    • DataSource
    • SCADA
      • Select Scada and enter tag.
      • If you have selected Append Statistic to Tag. Enter Tag:Statistic
    • LIMS
      • Select Lab and enter Location and Test with @@ between.
        • Example Influent@@TSS

SCADA Example:

LIMS Example:

keywords : Rio,CSV
ID : 14691 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Utilities - Upload Definition File to Hach WIMS

Documentation : Main Menu

This feature allows you to upload the interface definition (g2_server_lu) file to the Hach WIMS database. This is needed in order to setup a collector record in Hach WIMS.

Once the definition file has been uploaded, proceed with creating a collector record in Hach WIMS Client.
The process to setup a collector record is outlined in How to configure the Hach WIMS Client for a server-side interface.

keywords : upload,definition
ID : 12040 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release Notes

Contains 0 Sub-Categories and 2 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Release Notes for Hach WIMS Server-Side Interface Platform ( Type : INFO: , ID : 12033 )
Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface ( Type : INFO: , ID : 12068 )

ID : 2U7L8D , Online Version


Release Notes for Hach WIMS Server-Side Interface Platform

Documentation : Release Notes

Build 149 (9/16/2015)

  • Menu item Support>Am I licensed for this interface now works with new licensing system.

Build 147 (8/21/2015)

  • Added GetLocationPath to CommonGlobals (4660)

Build 146 (6/2/2015)

  • Fixed error condition when LockDate is not set in the database (4605)

Build 145 (7/3/2014)

  • Minor update of UI for Windows 7 (4431)
  • Minor update of Automated Import Configuration for Windows 7 (4466)

Build 142 (10/1/2013)

  • Improved Time/Date syncing issues experienced by some clients (4207)
  • Added a database connection throttle (performance throttle) advanced configuration option that pauses between source queries allowing other database process events to execute (4267)

Build 137

  • Modified to handle the new licensing for SQL Server 2012.(4202)
  • Handled out of memory error when the interfaces are ran with many variables and date ranges.(4158)
  • A change was added to keep the database connection open during the import process.(4106)

Build 135

  • Changed logging to user interface (LogToUI) to prevent an "Out of Memory" error when extensive amount of text lines are written to the interfaces list box. (4158)

Build 116

  • Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Build 100

  • Compatible with Hach WIMS 1.3.8 Database version

Build 85

  • Minor change to Advance Configuration to disable Additional Info button if the interface does not support additional info

Build 84

  • Fixed a bug that caused interfaces to omit reading of Hach WIMS variables in rare cases when the natural order of records in the VARDESC table did not equal to 'order by varid' on Oracle platforms(3006)

Build 83

  • Added support for importing of Additional Entry Fields. For interfaces that support this framework feature, go to Advanced Configuration / Additional Info in order to configure you conversion map (3075)
  • Added support for User Interface to display Connection String when clicking on Source Configuration / View Applied Connection String (2821)
  • Added support for User Interface to omit asking for Input Dates for interfaces where selecting dates does not make sense (2806)
  • Fixed a bug that caused Floating Point rounding to overflow on very large numbers resulting in no rounding being performed on numbers (3016)
  • Fixed a bug that caused help.chm to be improperly located by the user interface when interface executable was launched using Windows Shell command (2932)
  • Fixed a bug that caused interfaces of common type SCADA2OPSSQL to halt importing in cases when users went around the program business rules and manually (in the backend) entered OPSROOT.FACILITY.FILENAME field in lowercase (2890)

Build 54

  • Added support for Configuring and Launching a Collector Utility

Build 53

  • Added support for LIMS2OPSSQL type of framework
  • Added support for Unit Conversion

Build 48

  • Fixed an interface crash if the selected OLEDB driver could not be found (2406)
  • Added a MINUTELY mode of scheduling of automated service (2447)
  • Displays a warning message when attempting to import into collector which is linked to incorrect version of g2_lu (2505)
  • Added ability to view and edit Last Run Date for Facility UI (2626)

Build 36

  • Fixed a loophole that may have allowed interface crash when UI log listbox was about to display more than 32000 lines of log (2495)

Build 34

  • Fixed a bug that pulled up incorrect article or category when clicked on submenu Help / Chapters. Platform now requires setting of link constants for every interface custom configuration module (2488)
  • Fixed a bug that took users to incorrect link upon clicking on menu item Support / Check for new Updates (2492)

Build 27

  • Initial release to public

keywords : interface,platform,release notes,server-side, interface common framework
ID : 12033 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface

Documentation : Release Notes

Build 66(8/21/2015)

  • Variable Browser relocated location path field next to variable name (4660)

Build 65(3/30/2015)

  • Variable Browser Select All button no longer selects filtered variables (4582)
  • Variable Browser now displays location path (4582)

Build 64 (7/3/2014)

  • Additional logging added (4159)
  • Added a database connection throttle allowing other processes (programs) to process events to run. (4267)
  • Variable Browser improvements - added quick filter, filter by facility. (4385)
  • Variable Browser UI improvement for Windows 7 (4466)

Build 60

  • Added support for MAXTIME and MINTIME to the import process.(4185)
  • Fixed problem importing text values.(4125)
  • Added user option setting to keep the database connection open during the entire import process.(4106)

Build 57

  • Added a global variable to CommonGlobals to allow custom notes to the stats summary at the end of a run. I added the global variable to CommonGlobals and it is used in CommonImport (4132)

Build 56

  • Added a global variable to CommonGlobals and CommonImport to keep the CustomImport object alive so its connection would stay open. We were having a problem with a special database driver hanging when it was closed. (4106)

Build 55

  • Fixed framework to properly handle Text Parameter type variables (4125)

Build 53

  • Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Build 47

  • Added logging in CommTAGFilter routine CarryLastValue when verbosity is set to 9

Build 46

  • Changed CommonImport to make sure start date is correct when using the Cache feature in Advanced Settings (only affects certain interfaces) (3261)
  • Changed CommonTAGFilter to scrutinize data returned from CustomTAGFilter (only affects certain interfaces) (3313)
  • Changed CommonTAGFilter to propogate execution error check down to lowest level, so that we can distinguish between an execution error and bad data (only affects certain interfaces) (3426)

Build 41

  • Added to CommonTypeDateManager in Common_SCADA2OPSSQL; added code to compensate for daily var that have less than 1440 min/slot (i.e., 60 min from total day) so that it would get current day if the start and stop times have passed current time (Fortress 2673)

Build 40

  • Added ability to view connection string in CustomConfig form

Build 37

  • Added ability for SCADA2OPSSQL type of interfaces to define a global configuration tree

Build 36

  • Fixed problem with statistics TIMELT, TIMEGT, and TIMEEQ not counting the very first record.

Build 34

  • Added to caching function to support the following statistics for parameters using flat file databases: TOTAL, AVERAGE, MINIMUM, MAXIMUM, FIRST, LAST, DIFF, RANGE, COUNT, INVENTORY, TIMEGT, TIMELT, and TIMEEQ
  • Added to caching function to support the following statistics for text parameters using flat file databases: MINTIME, MAXTIME, FIRST, LAST, COUNT
  • Added to caching function to support the following filter operators on filter tags when using flat file databases: =, <, >, <=, >=, <>, and CYCLESTO

(Note: consult the "Topic specific to the operation of this interface" article "Supported Variable Configuration" to see whether your interface supports these available options or not)

Build 28

  • Added ability to specify adjustment of start date in minutes when running in automated mode. This can be configured under Configuration / Automated Import Configuration (2445)
  • Added support for caching of input to accelerate interface performance of interface that rely heavily on IO (2481)
  • Added support for filtering for OLEDB types of SCADA2OPSSQL interfaces (2457)

Build 10

  • Initial Release to Public

Related Articles (See Also)
Release Notes for Hach WIMS Server-Side Interface Platform ( Category : Documentation : Release Notes )

ID : 12068 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Topics Specific to Operation of this Interface

Contains 0 Sub-Categories and 7 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Configuration - Source Configuration Q11924 ( Type : INFO: , ID : 12061 )
Configure GE Proficy Historian ( Type : HOWTO: , ID : 12070 )
Install GE Proficy iHistorian OLE DB Driver ( Type : HOWTO: , ID : 12079 )
Release Notes for Interface Q11924 ( Type : INFO: , ID : 12064 )
Supported Variable Configurations for Interface Q11924 ( Type : HOWTO: , ID : 12062 )
Supported Variable Configurations for Interface Q11924 - Advanced Settings ( Type : HOWTO: , ID : 12232 )
Using Interface Browser Q11925 ( Type : HOWTO: , ID : 12063 )

ID : 8D4U7T , Online Version


Configuration - Source Configuration Q11924

Documentation : Topics Specific to Operation of this Interface

This is the source configuration screen for the Hach WIMS Direct Server-Side Interface to GE Proficy iHistorian. It is important to note that in order to connect to a GE Proficy iHistorian server, the iHistorian OLE DB driver must be installed on the computer where this interface is installed. See article Install GE Proficy iHistorian OLE DB Driver.

In order to configure source connection from the interface, click Configuration and select Source Configuration.

The next screen will display parameters such as Data Source, User ID, Password, Connection and Command Timeouts, and allow you to Test Connection:

  • Data Source - this field specifies, in loose terms, the "Database/Datasource server name" where your GE Proficy iHistorian system is configured to store data.
  • User ID and Password - these fields are only mandatory if the connection to the GE Proficy iHistorian system requires them. These fields should be blank if not used.

  • Advanced Configuration - these permit adjustment of the command and connection timeout. Currently, these are ignored by the iHistorian OLE DB driver, but are put here to enable future enhancements.

    • Connection Timeout in Seconds - how many seconds the program should wait when establishing a connection to the GE Proficy iHistorian server.
    • Command Timeout in Seconds - specifies how many seconds the program should wait for a query to complete before aborting the operation.
  • Options
    • Store Daily Values on Stop Time Date - If checked, Daily data will be stored on the End Date instead of the Start Date.

Buttons:

Test to see if the connection settings are valid and the interface is able to connect to Hach WIMS. Does NOT Apply or Save the settings.

Allow user to view connection string to the source database.

The other buttons are explained in Using Common Buttons.

keywords : source,configuration,GE,Fanuc,Proficy
ID : 12061 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configure GE Proficy Historian

Documentation : Topics Specific to Operation of this Interface

You will need to accomplish the following steps to configure signal tags in GE Proficy Historian. This interface was tested against the GE Proficy Historian version 5.5.

When you run the Proficy Historian Administrator, you should see the screen below:

Notice the first line in the Collectors box has iFix_test_collector and the Computer is 'VMT11121'. Our Data Source for setting up the interface will be VMT11121.

Click the Tags option, and the screen below will appear:

Click on the Search Historian Tag Database to retrieve a listing of tags. Select a tag, click the Collection tab and begin configuring its Data Source and Collection Options on the right hand side of the screen. See the GE Proficy Historian help guide for more detailed instructions.

Notice the Proficy Historian Administrator enables data collection at different Collection Intervals (milliseconds, seconds, minutes, etc). The Hach WIMS interface will group data in 1 minute intervals to perform its calculations. For best results, select a Collection Interval of 1 Second.

ID : 12070 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Install GE Proficy iHistorian OLE DB Driver

Documentation : Topics Specific to Operation of this Interface

If the Hach WIMS Direct Server-Side Interface to GE Proficy iHistorian interface is on a different computer than the GE Proficy iHistorian server, you will need to load the iHistorian OLE DB drivers on that computer. Using your GE Proficy installation, run the SETUP.EXE program. The following screen will appear:

Unselect everything except the OLE DB option. Click Next to continue.

Enter the Computer of the Collector you need to connect to, this is shown in the article Configure GE Proficy Historian and the iHistorian OLE DB driver. Click Next to continue.

You will see a screen to confirm the settings. Click Next if this is correct. The program will install the following files:

IhAPI20.dll, IhAPI.dll, IhAPICOM.dll, IhOLEDB.dll, IHistorian.dat

The interface is ready to communicate with your Proficy Historian.

keywords : iHistorian,OLE,DB,Driver
ID : 12079 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Release Notes for Interface Q11924

Documentation : Topics Specific to Operation of this Interface

Version 8.0.4 (Released on 6/15/2023)

  • Added Feature to store Daily Data on the End Date instead of the Start Date.

Version 8.0.3 (Released on 4/19/2022)

  • Feature added to not overwrite data previously written to WIMS

Version 8.0.2 (Released on 3/7/2022)

  • Update Last Run Date updates Default Last Run in xml file when importing vars from CSV file.
  • Auto Run Constant to add to Start Date Each Time Import Runs extended to 60 days.

Version 8.0.1 (Released on 12/20/2021)

  • Updated Licensing

Version 8.0.0 (Released on 11/22/2021)

  • Added support for CSV Export and Upload to Aquatic Compliance & Operations.
  • Upgraded to Spread 8.

Version 1.1.4 (Released on 05/30/2018)

  • Removed Hexagora Controls
  • Update for Common Framework changes (license issues)

Version 1.1.3 (Released on 12/2/2015)

  • Fixed DIFF function (4623)
  • Upgraded interface to Common Framework Build 149

Version 1.1.2 (Build 180, Release on 1/23/13)

  • Updated to the latest common framework
  • Fixed problem uploading the G2_Server_LU file

Version 1.1.1 (Build 173, Release on 5/7/12)

  • Added support for SQL Server 2012 (4195)

Version 1.1.0 (Build 171, Release on 3/6/12)

  • Enabled ability to use real numbers in statistics, i.e., TIMEGT(19.99) (4171)
  • Upgraded to Common Framework build 135, SCADA Framework build 55

Version 1.0.9 (Build 145, Release on 9/2/10)

  • Upgraded to Common Framework build 116, SCADA Framework build 53, updated framework to handle time zone differences and how they affect direct and indirect interfaces

Version 1.0.8 (Build 130, Release on 7/29/10)

  • Upgraded interface to Common Framework Build 100

Version 1.0.7 (Build 106, Release on 10/20/09)

  • Updated framework to fix problem retrieving all variables
  • Updated framework to retrieve variables after upgrading OPS 32 to Hach WIMS
  • Upgraded interface to include Interface Platform Build 85 and SCADA2OPSSQL framework Build 40

Version 1.0.6 (Build 94, Release on 9/9/09)

  • Updated documentation and framework coding

Version 1.0.5 (Build 84, Release on 6/12/09)

  • Updated framework because changes were needed in order to accomplish LIMS2OPSSQL common type (2693)

Version 1.0.4 (Build 78, Release on 6/4/09)

  • Added statistics: TOTALZERO, AVERAGEZERO, SUM, and SUMZERO. The ZERO statistics return a zero (0) when the result is blank (empty).

Version 1.0.3 (Build 77, Release on 6/3/09)

  • Fixed problem pinging Proficy Historian database (2674)
  • Added more logging when verbosity is increased (2682)

Version 1.0.2 (Build 75, Release on 5/19/09)

  • Changed default sampling mode to LAB
  • Added advanced settings to allow users to specify Sampling Mode and Calculation Mode (when appropriate)
  • Fixed problem with statistic CYCLE(x)

Version 1.0.1 (Build 66, Release on 5/5/09)

  • Added Filtering
  • Changes made to the framework
    • Caching
    • LastRunDate Advancement
  • Added Category Help Ids

Version 1.0.0 (Build 48, Release on 3/6/09)

  • Initial release

Related Articles (See Also)
Release Notes for Hach WIMS Server-Side Interface Platform ( Category : Documentation : Release Notes )
Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface ( Category : Documentation : Release Notes )

keywords : Release,Notes,for,Interface
ID : 12064 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Supported Variable Configurations for Interface Q11924

Documentation : Topics Specific to Operation of this Interface

Supported variable configurations for the Hach WIMS Direct Server-Side Interface to GE Proficy Historian.

To configure a variable to hold values from GE Proficy Historian, select Edit/View Variables in the client and select the Interface tab.

Then click Interface To radio button. The drop down box next to the option is now enabled, click the drop down arrow and choose the GE interface name (name given when configuring the interface).

Now you are ready to configure a signal tag from the GE Proficy Historian. The Tag name and a statistic are all that are mandatory.

  • This is the tag name in the GE Proficy system. The Proficy Historian referres to it as the Tag Name. The ? symbol (question mark) will allow you to browse the Proficy Historian for tag names. An explanation of the browser can be found in Using Interface Browser Q11925.

  • This is a listing of all the statistics supported by this interface. This includes the following statistics for a specified time period:

NOTE: All statistics return a BLANK when no data is found. Be aware that when data is filtered, it is possible to return a BLANK.

STATISTIC

DESCRIPTION

SQL QUERY

AVERAGE

Take the average of the data points

SELECT AVG(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440

AVERAGEZERO

Take the average of the data points, return zero (0) if result is BLANK.

SELECT AVG(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440

TOTAL

Take the sum total of all values

SELECT SUM(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440

TOTALZERO

Take the sum total of all values, return zero (0) if result is BLANK.

SELECT SUM(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440

MINIMUM

Get the minimum value

SELECT MIN(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440

MAXIMUM

Get the maximum value

SELECT MAX(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440

FIRST

Get the first value

 SELECT TOP 1 Value, Timestamp FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440 ORDER BY Timestamp

LAST

Get the last value

 SELECT TOP 1 Value, Timestamp FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440 ORDER BY Timestamp DESC

DIFF

Calculate the difference between the first and last values. If the first value is larger than the second then it will perform the following calculation: (10 ^ (Ceil(LOG(first_value) / LOG(10)))) - first_value + last_value

Ceil will cause the value to round up
  1. Get FIRST value
  2. Get LAST value
  3. RESULT = LAST - FIRST
  4. IF RESULT < 0 THEN (10 ^ (Ceil(LOG(first_value) / LOG(10)))) - first_value + last_value

RANGE

Calculate the absolute value of the difference between the minimum and maximum values
  1. Get MIN value
  2. Get MAX value
  3. Get ABS(MIN - MAX)

INVENTORY

Return the total use based on a tank level signal. For example, the level is 10 feet at midnight and slowly goes down to 2 feet at 2:00 PM, then gets filled to 15 feet and slowly goes down to 8 feet at midnight. The inventory function would return ((10 - 2) + (15 - 8)) = 15.
  1. SELECT Value FROM ihRawData WHERE Tagname='TANK_LEVEL' AND SamplingMode='RawByTime' AND Timestamp>='03/01/2009 00:00:00' AND Timestamp<'03/02/2009 00:00:00'
  2. Loop throught the records returned and sum the downward trends greater than the Deadband

MA10M

Return a 10 minute moving average. 10 minutes is subtrated from the start time, and the end time is left as is.

 SELECT AVG(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='2/28/2009 23:50:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1450

MA4H

Return a 4 hour moving average. 4 hours are subtracted from the start time, and the end time is left as is.

 SELECT AVG(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='2/28/2009 20:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1680

MA7D

Return a 7 day moving average. 7 days are subtracted from the start time, and the end time is left as is.

 SELECT AVG(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='2/22/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=10080

RAINGAUGE

Measures the volume of a rain gauge instrument.
  1. SELECT Value FROM ihRawData WHERE Tagname='RAINGAUGE' AND SamplingMode='RawByTime' AND Timestamp>='03/01/2009 00:00:00' AND Timestamp<'03/02/2009 00:00:00'
  2. Loop throught the records returned and sum the downward trends greater than the Deadband

TIMEGT(x)

Counts the number of values greater than the given number (x). If left unspecified it will use zero (0).

 SELECT COUNT(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440 AND Value > x

TIMELT(x)

Counts the number of values less than the given number (x). If left unspecified it will use zero (0).

 SELECT COUNT(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440 AND Value < x

TIMEEQ(x)

Counts the number of values equal to the given number (x). If left unspecified it will use zero (0).

 SELECT COUNT(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440 AND Value = x

CYCLE(x)

Counts the number of times a value cycles to a particular number (x).

1. Get LAST value from previous time period

2. Increment a running total when Value = x

COUNT

Counts the number of data points.

 SELECT COUNT(Value) FROM ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440

MINTIME

Returns the time of the minimum value as a text value, sets numeric value to 1 (one).

 SELECT Timestamp, MIN(Value) AS smin from ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440 GROUP BY Timestamp ORDER BY smin, Timestamp

MAXTIME

Returns the time of the maximum value as a text value, sets numeric value to 1 (one).

 SELECT Timestamp, MAX(Value) AS smax from ihRawData WHERE SamplingMode='Lab' AND Tagname='EF_FLOW' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND NumberofSamples=1440 GROUP BY Timestamp ORDER BY smax, Timestamp

MOST

 Returns the most often seen value. SELECT Value, Count(*) FROM ihRawData GROUP BY Value WHERE Tagname='WEATHER' AND Samplingmode='interpolated' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp<'3/2/2009 00:00:00' ORDER BY Count DESC

For advanced options, see Advanced Settings for Supported Variable Configuration for Interface Q11924.

  • This is the value to multiply the result by when using parameter variable types. Commonly used to convert from one unit base to another. For example to convert gallons per minute (GPM) to gallons per day (GPD), set the scale factor to 1440 (1440 minutes per day).

  • All three fields must have numeric values or the word None (as shown). The Low Range and High Range will crop data from the source. For example to eliminate negative numbers from a particular tag, set the Low Range to 0 (zero) - this will get any values equal to or greater than 0 (zero). The Deadband is used for the statistic Inventory and will elliminate noise levels up to the value specified. For example, if you enter .5 next to Deadband, any value change of .5 or less, will be ignored.

    • Start Time will set the beginning of the time slot for this variable.
    • Stop Time will set the ending time for the time slot.
    • Same Day as Start is only used by daily variables and it means the stop time is on the same day as the start time.
    • Day After Start is also only used by daily variables and it means the stop time is a day after the start time.

    • Node Tag Field is the signal tag to filter by from the GE Proficy Historian. You can find tag names using the ? the same way you found the signal tag above.
    • The second field is the filter operator drop down. This includes the following:

      SYMBOL

      DESCRIPTION

      < Less than, true if the value returned is less than the filter value
      > Greater than, true if the value returned is greater than the filter value
      = Equal to, true if the value returned is equal to the filter value
      <= Less than or equal to, true if the value returned is less than or equal to the filter value
      >= Greater than or equal to, true if the value returned is greater than or equal to the filter vaue
      <> Not equal, true if the value returned is not equal to the filter value

    • The last field is the filter value. The value returned from the filter tag is compared to this value.

keywords : configure,variables,Hach,WIMS,client,GE,Fanuc
ID : 12062 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Supported Variable Configurations for Interface Q11924 - Advanced Settings

Documentation : Topics Specific to Operation of this Interface

The advanced settings pertain to the variable Statistic and how the value is calculated. GE enables various methodologies to gather data from its archives, and these settings apply most of those capabilities.

1. Changing Sampling and/or Calculation Modes:

The Q11924 inteface uses dot notation in the STATISTIC field. This field can be extended to include sampling mode and calculated mode (when applicable). The format for this is: STATISTIC.SAMPLINGMODE.CALCULATIONMODE. The text entered here is not case sensitive so average.trend is the same as AVERAGE.TREND. Let's look at how we set this up. NOTE: INVENTORY and RAINGAUGE use sampling mode "RawByTime" and cannot be changed.

First, select the Statistic you want for this variable from the drop down list, for example: AVERAGE.

Second, type a dot "." after the statistic and type in the Sampling Mode (from the list below) that you want to use. If you want the Average of the Trend sampling mode, your variable Statistic would look like this: AVERAGE.Trend (as shown below)

Third, and optionally, you can define Calculation Mode if you selected Calculated for the Sampling Mode. Simply add a dot "." after the Sampling Mode and enter one of the Calculation Mode's listed below. If you want the Average of the Calculated Maximum, you would enter the following in the Statistic field: Average.Calculated.Maximum.

2. Sampling Modes:

(The following is taken directly from GE Proficy Historian Electronic Books from Proficy Historian version 3.1.0.1760)

Sampling Mode is the mode of sampling from the archive. The following is supported sampling modes, their definition, and a sample of the query using the statistic AVERAGE for example:

SAMPLING MODE | DEFINITION | SQL QUERY
AVERAGE.INTERPOLATED | Retrieves evenly spaced interpolated values based on NumberOfSamples and the time frame criteria. | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = INTERPOLATED AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality
AVERAGE.RAWBYTIME | Retrieves raw archive values based on time frame criteria. NOTE: when selected, ROWCOUNT is set to zero (0) in order to retrieve all records for the Q11924 interface. WARNING: this sampling mode returns values for every second and will take significantly longer to process data. | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = RAWBYTIME AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND RowCount = 0 AND Quality > 0 GROUP BY Quality
AVERAGE.RAWBYNUMBER | Retrieves raw archive values based on the StartTime criteria, the NumberOfSamples, and Direction criteria. Note the EndTime criteria is ignored for this Sampling mode. | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = RAWBYNUMBER AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 and direction = backward AND Quality > 0 GROUP BY Quality
AVERAGE.CALCULATED | Retrieves evenly spaced calculated values based on NumberOfSamples, the time frame criteria, and the CalculationMode criteria. | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = CALCULATED AND CalculationMode = AVERAGE AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality
AVERAGE.LAB | Returns actual collected values without interpolation. | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = LAB AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND Quality > 0 GROUP BY Quality
AVERAGE.TREND | Returns the raw minimum and raw maximum value for each specified interval. Use the Trend sampling mode to maximize performance when retrieving data points for plotting. | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = TREND AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality

3. Calculation Mode - The CalculationMode column only applies if the SamplingMode is set to Calculated. It represents the type of calculation to perform on archive data. The following is supported calculation modes:

CALCULATION MODE | SQL QUERY
AVERAGE.CALCULATED.AVERAGE | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = CALCULATED AND CalculationMode = AVERAGE AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality
AVERAGE.CALCULATED.COUNT | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = CALCULATED AND CalculationMode = COUNT AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality
AVERAGE.CALCULATED.MAXIMUM | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = CALCULATED AND CalculationMode = MAXIMUM AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality
AVERAGE.CALCULATED.MINIMUM | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = CALCULATED AND CalculationMode = MINIMUM AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality
AVERAGE.CALCULATED.STANDARDDEVIATION | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = CALCULATED AND CalculationMode = STANDARDDEVIATION AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality
AVERAGE.CALCULATED.TOTAL | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = CALCULATED AND CalculationMode = TOTAL AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality
AVERAGE.CALCULATED.RAWAVERAGE | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = CALCULATED AND CalculationMode = RAWAVERAGE AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality
AVERAGE.CALCULATED.RAWSTANDARDDEVIATION | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = CALCULATED AND CalculationMode = RAWSTANDARDDEVIATION AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality
AVERAGE.CALCULATED.RAWTOTAL | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = CALCULATED AND CalculationMode = RAWTOTAL AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality
AVERAGE.CALCULATED.TIMEGOOD | select Avg(Value) as Value, Quality from ihRawData WHERE SamplingMode = CALCULATED AND CalculationMode = TIMEGOOD AND Tagname = 'FIX.COSINE_2A.F_CV' AND TimeStamp > '05/08/2008 23:59:59' AND TimeStamp < '05/10/2008 00:00:00' AND NumberOfSamples = 1440 AND Quality > 0 GROUP BY Quality

4. Default Settings:

This interface has default settings depending on the statistic selected.

By default SAMPLINGMODE is set to LAB for all statistics except INVENTORY and RAINGAUGE which use RAWBYTIME.

If SAMPLINGMODE is set to CALCULATED, then the following rule is set by default (but can be changed):

If STATISTIC is, | then CALCULATION MODE is
MINIMUM.Calculated | MINIMUM
MAXIMUM.Calculated | MAXIMUM
COUNT.Calculated, CYCLE.Calculated, TIMELT.Calculated, TIMEGT.Calculated, and TIMEEQ.Calculated | COUNT
[ All Others ].Calculated | AVERAGE

This means if you only specify MINIMUM.CALCULATED then the CALCULATION MODE will be set to MINIMUM.

ID : 12232 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Interface Browser Q11925

Documentation : Topics Specific to Operation of this Interface

Using the interface browser for Hach WIMS Direct Server-Side Interface to GE Proficy Historian.

Step 1: It is important to note that in order for this browser to work, the Proficy iHistorian OLE DB driver must be installed on the Hach WIMS client computer. See the article Install GE Proficy iHistorian OLE DB Driver for more details. While in the Hach WIMS client, select Edit/View Variables and click the Interface tab.

Step 2: The browser connection must be properly configured. In the Hach WIMS client:

  • Select System Tables -> Entire System -> Server-Side Interface Setup.

  • Select the Edit button for the GE Proficy Historian entry that you want to enable the browser for.

  • Click on the Browser tab and enter the connection string for your GE Proficy Historian server. Make sure Browser Enabled is checked and click OK button.

Note the connection string:

Provider=ihOLEDB.iHistorian.1;Data Source=MYSERVER;User ID=;Password=;

You will need to replace MYSERVER with the name of the Proficy Historan server, and enter the User ID and Password if necessary.

You are ready to view tags from the historian. Click on System Setup -> View/Edit Variables and click on the Interface tab.

Click the button with a ? (question mark) on it as shown below:

The browser will load:

  • Server Selection
    • Before viewing any tag names, at least one GE Proficy iHistorian connection must be configured. All configured iHistorian servers will be accessable from the server selection dropdown box. The name that appears in the drop down is the Data Source from the connection string entered when configuring the browser.
  • Interface Menu
    • Under File we have options: OK, Cancel, Find, and Exit which work exactly the same as the shortcut buttons, explained next.
    • Under Plugin we have options: Help which displays the help for the interface, and About which shows the application information.
  • Shortcut Buttons
    • button will send the selected tag name back to the Hach WIMS client.
    • button will cancel selecting a tag.
    • button will allow user to find a specific tag or series of tags.
    • button will bring up help information about the interface and specifically the browser.
    • button will exit the browser without making a tag selection.
  • Tag Names and Descriptions
    • This area will populate with tag names and descriptive information about the tag. To select a tag simply click on it and press OK button.

keywords : Using,the,GE,Fanuc,Proficy,Browser
ID : 12063 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Special Section : Sitemap : Local Links
This CHM file contains 6 total Sub-Categories and 42 total Articles.
This page was auto-generated at 6/15/2023 9:25:01 AM

Local Links
Documentation : Introduction
Documentation : Introduction : Interface Introduction
Documentation : Introduction : Software Requirements
Documentation : Introduction : Source versions tested
Documentation : How To
Documentation : How To : Change Configuration Protection Password
Documentation : How To : Configuration is Password Protected
Documentation : How To : Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
Documentation : How To : Hach WIMS Super User Credentials
Documentation : How To : Pick Hach WIMS Variables to Import Into
Documentation : How To : Step-by-Step Instructions on How to Configure Interface
Documentation : How To : Using Common Buttons
Documentation : How To : Using Main Interface Screen
Documentation : How To : Using Select Date Range to Import
Documentation : How To : WARNING : Version Validation Failed
Documentation : Main Menu
Documentation : Main Menu : Automated Import - Activity Log View
Documentation : Main Menu : Automated Import - Last Run Dates
Documentation : Main Menu : Automated Import - Modify Last Ran Dates
Documentation : Main Menu : Automated Import - Status and Control
Documentation : Main Menu : Configuration - Advanced Configuration
Documentation : Main Menu : Configuration - Advanced Configuration : Source Input Cache
Documentation : Main Menu : Configuration - Advanced Configuration: Additional Info
Documentation : Main Menu : Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
Documentation : Main Menu : Configuration - Advanced Configuration: Unit Conversion
Documentation : Main Menu : Configuration - Automated Import Configuration
Documentation : Main Menu : Configuration - Collector Configuration
Documentation : Main Menu : Configuration - Connection To Hach WIMS
Documentation : Main Menu : File - Exit
Documentation : Main Menu : File - Import All
Documentation : Main Menu : File - Import For Selected Variables
Documentation : Main Menu : Test - Source Read Test SCADA to Hach WIMS
Documentation : Main Menu : Test - Test Connection to Hach WIMS
Documentation : Main Menu : Test - Test Import All
Documentation : Main Menu : Using Interface with Rio
Documentation : Main Menu : Utilities - Upload Definition File to Hach WIMS
Documentation : Release Notes
Documentation : Release Notes : Release Notes for Hach WIMS Server-Side Interface Platform
Documentation : Release Notes : Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface
Documentation : Topics Specific to Operation of this Interface
Documentation : Topics Specific to Operation of this Interface : Configuration - Source Configuration Q11924
Documentation : Topics Specific to Operation of this Interface : Configure GE Proficy Historian
Documentation : Topics Specific to Operation of this Interface : Install GE Proficy iHistorian OLE DB Driver
Documentation : Topics Specific to Operation of this Interface : Release Notes for Interface Q11924
Documentation : Topics Specific to Operation of this Interface : Supported Variable Configurations for Interface Q11924
Documentation : Topics Specific to Operation of this Interface : Supported Variable Configurations for Interface Q11924 - Advanced Settings
Documentation : Topics Specific to Operation of this Interface : Using Interface Browser Q11925


Special Section : Articles : Local Links
This CHM file contains 42 Articles.
This page was auto-generated at 6/15/2023 9:25:01 AM

Local Links
Using Interface with Rio in Category Documentation : Main Menu
Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL) in Category Documentation : How To
Automated Import - Modify Last Ran Dates in Category Documentation : Main Menu
Configuration - Source Configuration Q11924 in Category Documentation : Topics Specific to Operation of this Interface
WARNING : Version Validation Failed in Category Documentation : How To
Utilities - Upload Definition File to Hach WIMS in Category Documentation : Main Menu
Configure GE Proficy Historian in Category Documentation : Topics Specific to Operation of this Interface
Source versions tested in Category Documentation : Introduction
Automated Import - Last Run Dates in Category Documentation : Main Menu
Test - Test Import All in Category Documentation : Main Menu
Release Notes for Hach WIMS Server-Side Interface Platform in Category Documentation : Release Notes
Using Interface Browser Q11925 in Category Documentation : Topics Specific to Operation of this Interface
Software Requirements in Category Documentation : Introduction
Configuration - Advanced Configuration : Source Input Cache in Category Documentation : Main Menu
Configuration - Collector Configuration in Category Documentation : Main Menu
Test - Test Connection to Hach WIMS in Category Documentation : Main Menu
Supported Variable Configurations for Interface Q11924 in Category Documentation : Topics Specific to Operation of this Interface
Supported Variable Configurations for Interface Q11924 - Advanced Settings in Category Documentation : Topics Specific to Operation of this Interface
Change Configuration Protection Password in Category Documentation : How To
Configuration - Advanced Configuration in Category Documentation : Main Menu
File - Exit in Category Documentation : Main Menu
Configuration - Automated Import Configuration in Category Documentation : Main Menu
File - Import All in Category Documentation : Main Menu
Test - Source Read Test SCADA to Hach WIMS in Category Documentation : Main Menu
Release Notes for Interface Q11924 in Category Documentation : Topics Specific to Operation of this Interface
Hach WIMS Super User Credentials in Category Documentation : How To
Automated Import - Status and Control in Category Documentation : Main Menu
Configuration - Connection To Hach WIMS in Category Documentation : Main Menu
Interface Introduction in Category Documentation : Introduction
Configuration is Password Protected in Category Documentation : How To
Using Main Interface Screen in Category Documentation : How To
Pick Hach WIMS Variables to Import Into in Category Documentation : How To
Step-by-Step Instructions on How to Configure Interface in Category Documentation : How To
Using Common Buttons in Category Documentation : How To
Automated Import - Activity Log View in Category Documentation : Main Menu
Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field in Category Documentation : Main Menu
Install GE Proficy iHistorian OLE DB Driver in Category Documentation : Topics Specific to Operation of this Interface
Using Select Date Range to Import in Category Documentation : How To
Configuration - Advanced Configuration: Additional Info in Category Documentation : Main Menu
Configuration - Advanced Configuration: Unit Conversion in Category Documentation : Main Menu
File - Import For Selected Variables in Category Documentation : Main Menu
Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface in Category Documentation : Release Notes


Sub-tree rooted at Main Menu

Sub-tree rooted at Documentation : Main Menu
Categories and Articles
: Automated Import - Activity Log View
: Automated Import - Last Run Dates
: Automated Import - Modify Last Ran Dates
: Automated Import - Status and Control
: Configuration - Advanced Configuration
: Configuration - Advanced Configuration : Source Input Cache
: Configuration - Advanced Configuration: Additional Info
: Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
: Configuration - Advanced Configuration: Unit Conversion
: Configuration - Automated Import Configuration
: Configuration - Collector Configuration
: Configuration - Connection To Hach WIMS
: File - Exit
: File - Import All
: File - Import For Selected Variables
: Test - Source Read Test SCADA to Hach WIMS
: Test - Test Connection to Hach WIMS
: Test - Test Import All
: Using Interface with Rio
: Utilities - Upload Definition File to Hach WIMS


Sub-tree rooted at How To

Sub-tree rooted at Documentation : How To
Categories and Articles
: Change Configuration Protection Password
: Configuration is Password Protected
: Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
: Hach WIMS Super User Credentials
: Pick Hach WIMS Variables to Import Into
: Step-by-Step Instructions on How to Configure Interface
: Using Common Buttons
: Using Main Interface Screen
: Using Select Date Range to Import
: WARNING : Version Validation Failed


Documentation
Contains 5 Sub-Categories and 0 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Categories
Introduction ( Sub-Categories : 0 , Articles : 3 )
How To ( Sub-Categories : 0 , Articles : 10 )
Main Menu ( Sub-Categories : 0 , Articles : 20 )
Release Notes ( Sub-Categories : 0 , Articles : 2 )
Topics Specific to Operation of this Interface ( Sub-Categories : 0 , Articles : 7 )

ID : 1D5F1S , Online Version


Sub-tree rooted at Documentation
Categories and Articles
: Introduction
Introduction : Interface Introduction
Introduction : Software Requirements
Introduction : Source versions tested
: How To
How To : Change Configuration Protection Password
How To : Configuration is Password Protected
How To : Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
How To : Hach WIMS Super User Credentials
How To : Pick Hach WIMS Variables to Import Into
How To : Step-by-Step Instructions on How to Configure Interface
How To : Using Common Buttons
How To : Using Main Interface Screen
How To : Using Select Date Range to Import
How To : WARNING : Version Validation Failed
: Main Menu
Main Menu : Automated Import - Activity Log View
Main Menu : Automated Import - Last Run Dates
Main Menu : Automated Import - Modify Last Ran Dates
Main Menu : Automated Import - Status and Control
Main Menu : Configuration - Advanced Configuration
Main Menu : Configuration - Advanced Configuration : Source Input Cache
Main Menu : Configuration - Advanced Configuration: Additional Info
Main Menu : Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
Main Menu : Configuration - Advanced Configuration: Unit Conversion
Main Menu : Configuration - Automated Import Configuration
Main Menu : Configuration - Collector Configuration
Main Menu : Configuration - Connection To Hach WIMS
Main Menu : File - Exit
Main Menu : File - Import All
Main Menu : File - Import For Selected Variables
Main Menu : Test - Source Read Test SCADA to Hach WIMS
Main Menu : Test - Test Connection to Hach WIMS
Main Menu : Test - Test Import All
Main Menu : Using Interface with Rio
Main Menu : Utilities - Upload Definition File to Hach WIMS
: Release Notes
Release Notes : Release Notes for Hach WIMS Server-Side Interface Platform
Release Notes : Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface
: Topics Specific to Operation of this Interface
Topics Specific to Operation of this Interface : Configuration - Source Configuration Q11924
Topics Specific to Operation of this Interface : Configure GE Proficy Historian
Topics Specific to Operation of this Interface : Install GE Proficy iHistorian OLE DB Driver
Topics Specific to Operation of this Interface : Release Notes for Interface Q11924
Topics Specific to Operation of this Interface : Supported Variable Configurations for Interface Q11924
Topics Specific to Operation of this Interface : Supported Variable Configurations for Interface Q11924 - Advanced Settings
Topics Specific to Operation of this Interface : Using Interface Browser Q11925


Sub-tree rooted at Release Notes

Sub-tree rooted at Documentation : Release Notes
Categories and Articles
: Release Notes for Hach WIMS Server-Side Interface Platform
: Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface


Sub-tree rooted at Introduction

Sub-tree rooted at Documentation : Introduction
Categories and Articles
: Interface Introduction
: Software Requirements
: Source versions tested


Sub-tree rooted at Topics Specific to Operation of this Interface

Sub-tree rooted at Documentation : Topics Specific to Operation of this Interface
Categories and Articles
: Configuration - Source Configuration Q11924
: Configure GE Proficy Historian
: Install GE Proficy iHistorian OLE DB Driver
: Release Notes for Interface Q11924
: Supported Variable Configurations for Interface Q11924
: Supported Variable Configurations for Interface Q11924 - Advanced Settings
: Using Interface Browser Q11925